Debian Bug report logs - #555195
grub2: password checking oddity

version graph

Package: grub2; Maintainer for grub2 is GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>; Source for grub2 is src:grub2.

Reported by: recoverym4n@gmail.com

Date: Sun, 8 Nov 2009 22:18:02 UTC

Severity: critical

Tags: fixed-upstream, security

Found in versions grub2/1.97~beta3-1, 1.97~beta3-1~bpo50+1

Fixed in versions grub2/1.97+experimental.20091110-1, grub2/1.97+20091115-1

Done: Felix Zielcke <fzielcke@z-51.de>

Bug is archived. No further changes may be made.

Forwarded to irc.gnu.org/#grub

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#555195; Package grub2. (Sun, 08 Nov 2009 22:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to recoverym4n@gmail.com:
New Bug report received and forwarded. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 08 Nov 2009 22:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: recoverym4n@gmail.com
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub2: password checking oddity
Date: Mon, 9 Nov 2009 00:59:00 +0300
Package: grub2
Version: 1.97~beta3-1~bpo50+1
Severity: important


Current version of GRUB 1.97 allows to enable password-based authentication
for run-time editing menu entries, going GRUB commandline, etc.

Such configuration is described at http://grub.enbug.org/Authentication ,
and is outside of scope of this bug report.

The real thing with this password is: 

GRUB accepts user input as valid password as long as user enters some first
characters of password correctly.

I.e. if /boot/grub/grub.cfg reads:

set superusers="user1"
password user1 password1

Then user can enter "p", "pa", "pas" etc, and GRUB will 'eat it' as correct 
password. 

Considering that this 'feature' effectively lowers password length to 1 (one),
I've set severity of this bug to 'important'. Feel free to add 'security' tag,
if appropriate.

While I report this issue against backported version of GRUB2, the same 
behaviour can be seen in current sid's version: 1.97-1. This issue does not
apply to current lenny version of grub2, as password-checking functionality
unimplemented there.

-- Package-specific info:

*********************** BEGIN /proc/mounts
/dev/disk/by-uuid/53987106-e00e-44ea-977f-e29cd79f4786 / ext3 rw,nodiratime,relatime,errors=remount-ro,data=ordered 0 0
/dev/sda1 /boot ext3 ro,noatime,nodiratime,errors=continue,data=ordered 0 0
/dev/sda5 /var reiserfs rw,nosuid,relatime,notail 0 0
/dev/sda6 /usr ext3 ro,noatime,nodiratime,errors=continue,data=ordered 0 0
/dev/md1 /home ext3 rw,nosuid,relatime,errors=continue,data=ordered 0 0
/dev/md2 /srv ext3 rw,nosuid,noexec,noatime,nodiratime,errors=continue,data=ordered 0 0
/dev/sda7 /srv/schroot ext3 rw,noatime,nodiratime,errors=continue,data=ordered 0 0
*********************** END /proc/mounts

*********************** BEGIN /boot/grub/device.map
(hd0)	/dev/sda
(hd1)	/dev/sdb
(hd2)	/dev/sdc
*********************** END /boot/grub/device.map

*********************** BEGIN /boot/grub/grub.cfg

#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by /usr/sbin/grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
set default=0
insmod ext2
set root=(hd0,6)
search --no-floppy --fs-uuid --set 3cb3d7f4-eafd-421d-935a-0a5c123410ae
if loadfont /share/grub/unicode.pf2 ; then
  set gfxmode=1280x1024
  set gfxpayload=keep
  insmod gfxterm
  insmod vbe
  if terminal_output gfxterm ; then true ; else
    # For backward compatibility with versions of terminal.mod that don't
    # understand terminal_output
    terminal gfxterm
  fi
fi
set timeout=5
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/02_password ###
set superusers="user"
password user _p_a_s_s_w_o_r_d_
### END /etc/grub.d/02_password ###

### BEGIN /etc/grub.d/05_debian_theme ###
insmod ext2
set root=(hd0,1)
search --no-floppy --fs-uuid --set 6591d6b4-e7f7-44a9-9679-387fe901d251
insmod png
if background_image /grub/splash-1280x1024.png ; then
  set color_normal=white/black
  set color_highlight=magenta/black
else
  set menu_color_normal=cyan/blue
  set menu_color_highlight=white/blue
fi
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
menuentry "Debian GNU/Linux, Linux 2.6.26-2-amd64" {
	insmod ext2
	set root=(hd0,1)
	search --no-floppy --fs-uuid --set 6591d6b4-e7f7-44a9-9679-387fe901d251
	linux	/vmlinuz-2.6.26-2-amd64 root=UUID=53987106-e00e-44ea-977f-e29cd79f4786 ro video=vesafb,mtrr:3,ywrap quiet 
	initrd	/initrd.img-2.6.26-2-amd64
}
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_memtest86+ ###
menuentry "Memory test (memtest86+)" {
	linux	/memtest86+.bin
}
### END /etc/grub.d/20_memtest86+ ###

### BEGIN /etc/grub.d/30_os-prober ###
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

*********************** END /boot/grub/grub.cfg

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages grub2 depends on:
ii  grub-pc             1.97~beta3-1~bpo50+1 GRand Unified Bootloader, version 

grub2 recommends no packages.

grub2 suggests no packages.

-- debconf information:
  grub2/numbering_scheme_transition:




Severity set to 'serious' from 'important' Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Sun, 08 Nov 2009 23:06:12 GMT) Full text and rfc822 format available.

Added tag(s) security. Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Sun, 08 Nov 2009 23:06:13 GMT) Full text and rfc822 format available.

Severity set to 'critical' from 'serious' Request was from Robert Millan <rmh.debian@aybabtu.com> to control@bugs.debian.org. (Sun, 08 Nov 2009 23:33:08 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'irc.gnu.org/#grub'. Request was from Robert Millan <rmh.debian@aybabtu.com> to control@bugs.debian.org. (Sun, 08 Nov 2009 23:33:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions grub2/1.97~beta3-1. Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Tue, 10 Nov 2009 10:18:05 GMT) Full text and rfc822 format available.

Added tag(s) pending and fixed-upstream. Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Tue, 10 Nov 2009 11:12:03 GMT) Full text and rfc822 format available.

Reply sent to Felix Zielcke <fzielcke@z-51.de>:
You have taken responsibility. (Tue, 10 Nov 2009 17:36:16 GMT) Full text and rfc822 format available.

Notification sent to recoverym4n@gmail.com:
Bug acknowledged by developer. (Tue, 10 Nov 2009 17:36:16 GMT) Full text and rfc822 format available.

Message #22 received at 555195-close@bugs.debian.org (full text, mbox):

From: Felix Zielcke <fzielcke@z-51.de>
To: 555195-close@bugs.debian.org
Subject: Bug#555195: fixed in grub2 1.97+experimental.20091110-1
Date: Tue, 10 Nov 2009 17:32:40 +0000
Source: grub2
Source-Version: 1.97+experimental.20091110-1

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive:

grub-common_1.97+experimental.20091110-1_amd64.deb
  to main/g/grub2/grub-common_1.97+experimental.20091110-1_amd64.deb
grub-coreboot_1.97+experimental.20091110-1_amd64.deb
  to main/g/grub2/grub-coreboot_1.97+experimental.20091110-1_amd64.deb
grub-efi-amd64_1.97+experimental.20091110-1_amd64.deb
  to main/g/grub2/grub-efi-amd64_1.97+experimental.20091110-1_amd64.deb
grub-efi-ia32_1.97+experimental.20091110-1_amd64.deb
  to main/g/grub2/grub-efi-ia32_1.97+experimental.20091110-1_amd64.deb
grub-efi_1.97+experimental.20091110-1_amd64.deb
  to main/g/grub2/grub-efi_1.97+experimental.20091110-1_amd64.deb
grub-emu_1.97+experimental.20091110-1_amd64.deb
  to main/g/grub2/grub-emu_1.97+experimental.20091110-1_amd64.deb
grub-firmware-qemu_1.97+experimental.20091110-1_amd64.deb
  to main/g/grub2/grub-firmware-qemu_1.97+experimental.20091110-1_amd64.deb
grub-ieee1275_1.97+experimental.20091110-1_amd64.deb
  to main/g/grub2/grub-ieee1275_1.97+experimental.20091110-1_amd64.deb
grub-linuxbios_1.97+experimental.20091110-1_amd64.deb
  to main/g/grub2/grub-linuxbios_1.97+experimental.20091110-1_amd64.deb
grub-pc_1.97+experimental.20091110-1_amd64.deb
  to main/g/grub2/grub-pc_1.97+experimental.20091110-1_amd64.deb
grub-rescue-pc_1.97+experimental.20091110-1_amd64.deb
  to main/g/grub2/grub-rescue-pc_1.97+experimental.20091110-1_amd64.deb
grub2_1.97+experimental.20091110-1.debian.tar.gz
  to main/g/grub2/grub2_1.97+experimental.20091110-1.debian.tar.gz
grub2_1.97+experimental.20091110-1.dsc
  to main/g/grub2/grub2_1.97+experimental.20091110-1.dsc
grub2_1.97+experimental.20091110-1_amd64.deb
  to main/g/grub2/grub2_1.97+experimental.20091110-1_amd64.deb
grub2_1.97+experimental.20091110.orig-grub-extras.tar.gz
  to main/g/grub2/grub2_1.97+experimental.20091110.orig-grub-extras.tar.gz
grub2_1.97+experimental.20091110.orig.tar.gz
  to main/g/grub2/grub2_1.97+experimental.20091110.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 555195@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Felix Zielcke <fzielcke@z-51.de> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 10 Nov 2009 17:57:46 +0100
Source: grub2
Binary: grub2 grub-linuxbios grub-efi grub-common grub-emu grub-pc grub-rescue-pc grub-coreboot grub-efi-ia32 grub-efi-amd64 grub-ieee1275 grub-firmware-qemu
Architecture: source amd64
Version: 1.97+experimental.20091110-1
Distribution: experimental
Urgency: high
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Felix Zielcke <fzielcke@z-51.de>
Description: 
 grub-common - GRand Unified Bootloader, version 2 (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-efi   - GRand Unified Bootloader, version 2 (dummy package)
 grub-efi-amd64 - GRand Unified Bootloader, version 2 (EFI-AMD64 version)
 grub-efi-ia32 - GRand Unified Bootloader, version 2 (EFI-IA32 version)
 grub-emu   - GRand Unified Bootloader, version 2 (emulated version)
 grub-firmware-qemu - GRUB firmware image for QEMU
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
Closes: 553415 555188 555195
Changes: 
 grub2 (1.97+experimental.20091110-1) experimental; urgency=high
 .
   [ Robert Millan ]
   * New Bazaar snapshot.
     - Fix security problem with password checking.  (Closes: #555195)
     - rules: grub-emu is now built as a port.
     - Fix the generated GNU/Hurd menu entries and also add support for
       it in 30_os-prober. (Closes: #555188)
 .
   * grub.d/05_debian_theme: Set "gfxpayload=keep".  This superceeds
     -DGRUB_ASSUME_LINUX_HAS_FB_SUPPORT=1 setting which was disabled in
     July.
   * copyright: Document mkisofs.
   * control: Update Vcs- fields (moved to Bazaar).
   * patches/906_grub_extras.diff: Remove. Superceded by GRUB_CONTRIB variable
     in recent upstream trunk.
   * rules: Export GRUB_CONTRIB to enable grub-extras add-ons.
 .
   [ Felix Zielcke ]
   * Urgency high to due to security fix.
   * Ship grub-reboot and grub-set-default only in the GRUB flavour
     packages and not also grub-common.
   * Switch to source format 3.0 (quilt).
     - Make grub-extras a component orig tarball.
     - keep CDBS simple-patchsys for now.
   * Ship grub-mkisofs in grub-common.
   * Add a dependency on 'dpkg (>= 1.15.4) | install-info' for grub-common
     as recommended by Policy and lintian.
   * Pass --force to grub-install in the postinst. (Closes: #553415)
Checksums-Sha1: 
 1ac281f52486f4d2a5487f4bff924a84a3cde8d9 2595 grub2_1.97+experimental.20091110-1.dsc
 c48d4cda83ed725a681e7d69f1993f1624c65d11 36777 grub2_1.97+experimental.20091110.orig-grub-extras.tar.gz
 b8f90ebc3de1600d9d4fb41df422f51bc3faa375 1166203 grub2_1.97+experimental.20091110.orig.tar.gz
 976dc24e2f32e5a8b16e15ecb109e724e8e88570 65126 grub2_1.97+experimental.20091110-1.debian.tar.gz
 28bfa21d84c8eea0df452ec14e7479f7ecaa027d 199832 grub2_1.97+experimental.20091110-1_amd64.deb
 952fc9b2158389c5c9c7b56297ac5bdc17be5c41 198762 grub-linuxbios_1.97+experimental.20091110-1_amd64.deb
 e717ee91f647e61578c8886bc1cff165fc577bca 198758 grub-efi_1.97+experimental.20091110-1_amd64.deb
 5fe0efb7ab4350c4a9533efc79aa69668408c4e7 1050410 grub-common_1.97+experimental.20091110-1_amd64.deb
 b82b06e0b079fc48f523feb228ddb9e455dce8f3 359668 grub-emu_1.97+experimental.20091110-1_amd64.deb
 92c0463035c5e5ff4102850d93f200e815aa51a6 673576 grub-pc_1.97+experimental.20091110-1_amd64.deb
 152a85ae1e7d4ab58b7c9ecee3e17daa8a858939 775490 grub-rescue-pc_1.97+experimental.20091110-1_amd64.deb
 87335f9b93b92c53b7b82859b09dcbc3ef4f6951 467338 grub-coreboot_1.97+experimental.20091110-1_amd64.deb
 d67e2e7efacae79ebf3d15fa22f132094196d1c7 491522 grub-efi-ia32_1.97+experimental.20091110-1_amd64.deb
 95c020d8e8b8fa3f924906592e4699b2040e0e5e 533674 grub-efi-amd64_1.97+experimental.20091110-1_amd64.deb
 5dd6fbed16c6baee9bdc1810f7eef47bee8cb6fc 449946 grub-ieee1275_1.97+experimental.20091110-1_amd64.deb
 ba8ba98b6e67e8d80a7202630b33a6d871c4f865 424626 grub-firmware-qemu_1.97+experimental.20091110-1_amd64.deb
Checksums-Sha256: 
 0a209b62d3c2f58b6c977b27465b478efd2fa785d464f26e677690053696f418 2595 grub2_1.97+experimental.20091110-1.dsc
 97378dd7269af443a8004453b3be8ba58e7f5c634bb45801055bb0bcc603a175 36777 grub2_1.97+experimental.20091110.orig-grub-extras.tar.gz
 cb2f7de16cf535d99d1c3f67ea3a9da021342e4f832f7422f397f311ac0855ce 1166203 grub2_1.97+experimental.20091110.orig.tar.gz
 75de4b186ae8af6eba9058cf9968b3b6f7f369aa583a9083e6717404169ca358 65126 grub2_1.97+experimental.20091110-1.debian.tar.gz
 c33110f525e6f2b5bbae4c72cb4b71c243085a1dbf0049c87b8b6ba48fbcf9d1 199832 grub2_1.97+experimental.20091110-1_amd64.deb
 7b92769d832db647c0e9548f05ee6a939c1b6a76142aebb8e472a30e28e5513a 198762 grub-linuxbios_1.97+experimental.20091110-1_amd64.deb
 9a0be8417b2e073ffa4b859cf3ca7f6cf173cab267e3501c711c176e5f883247 198758 grub-efi_1.97+experimental.20091110-1_amd64.deb
 44ebd76922a1f21a7a6b9c408e2e099aa45029482c3aba69b7b55373d9c1a92d 1050410 grub-common_1.97+experimental.20091110-1_amd64.deb
 0f91b155f848b34d94ffa1974593a450f1e91664711b4eaea6c41712eaa680ff 359668 grub-emu_1.97+experimental.20091110-1_amd64.deb
 2434230bf627807ac4c7ad8b983b0596085b93a51bb5f5fc8e238fe2005f95d9 673576 grub-pc_1.97+experimental.20091110-1_amd64.deb
 5c4f4ea1eeac3cd97358f925cd44298b8ba141f20af6b1cd743e6d33a6d7070a 775490 grub-rescue-pc_1.97+experimental.20091110-1_amd64.deb
 ebf8fea1cdf5030c2a388589803a43c3126026a24710b8902b7a6289d9d1da26 467338 grub-coreboot_1.97+experimental.20091110-1_amd64.deb
 a44fe2e63d40044719e067a8f5ce137d439ce3234fcb08d80f3df87d4827fb6b 491522 grub-efi-ia32_1.97+experimental.20091110-1_amd64.deb
 8463ea406dc98260ca88aa6c3c231c8793aaf4fd4375088daf7c4b93fd1f3aae 533674 grub-efi-amd64_1.97+experimental.20091110-1_amd64.deb
 deaa464429a44b37b5918a4d1bd3c5332aa64327dcd6c6364c4ea4cd980bed65 449946 grub-ieee1275_1.97+experimental.20091110-1_amd64.deb
 38e2945d4ef19b0f41e1ec70228d4bffc2c7fc8e6771213c3ce88add500a7c69 424626 grub-firmware-qemu_1.97+experimental.20091110-1_amd64.deb
Files: 
 ccc0d1dbb7838908938419259c52cd3c 2595 admin extra grub2_1.97+experimental.20091110-1.dsc
 09e3d2f3a9e92c95f3f0d1eaa3f1377d 36777 admin extra grub2_1.97+experimental.20091110.orig-grub-extras.tar.gz
 c918059973fbcf58830e583d966b744e 1166203 admin extra grub2_1.97+experimental.20091110.orig.tar.gz
 37c7646400daed7aaaffc35e61a785a9 65126 admin extra grub2_1.97+experimental.20091110-1.debian.tar.gz
 a32833549ffa006fafcb31fb8927614c 199832 admin extra grub2_1.97+experimental.20091110-1_amd64.deb
 88d665331b54cc49030347a2affeebca 198762 admin extra grub-linuxbios_1.97+experimental.20091110-1_amd64.deb
 b761c7b4e37934758c7164705d8c0028 198758 admin extra grub-efi_1.97+experimental.20091110-1_amd64.deb
 963bf0b7563c4e7dd0b51e5909f4a723 1050410 admin extra grub-common_1.97+experimental.20091110-1_amd64.deb
 5de9cfca0e05c9de6be72b52ea9f2a60 359668 admin extra grub-emu_1.97+experimental.20091110-1_amd64.deb
 67ae7c6f6f3766f2afc3de96e1b65afd 673576 admin extra grub-pc_1.97+experimental.20091110-1_amd64.deb
 c9f01a708b4815976b41020d28faebea 775490 admin extra grub-rescue-pc_1.97+experimental.20091110-1_amd64.deb
 0db55a54e21f196ebaec63c5be1a1417 467338 admin extra grub-coreboot_1.97+experimental.20091110-1_amd64.deb
 ae8daf60da4d70773a48eeafd59f5884 491522 admin extra grub-efi-ia32_1.97+experimental.20091110-1_amd64.deb
 700e4da7a6c9d1cebe6103576187787b 533674 admin extra grub-efi-amd64_1.97+experimental.20091110-1_amd64.deb
 37309326e5e21463c8d00f3543058fa2 449946 admin extra grub-ieee1275_1.97+experimental.20091110-1_amd64.deb
 0565256a800530ca04cc30053c3107ff 424626 admin extra grub-firmware-qemu_1.97+experimental.20091110-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCgAGBQJK+Z7eAAoJEH84BcfYL7nIi9YIAIJub2aHssLRErRlpasHlXPU
V7pmNku/THI7g4+aI+VF9lOf4QCzgaVdq4lEHUuTxwpIsnGQVQJZdzOUAWZC3LmR
Y6NexMFajB9jHsYFGfzyAZoCirQj/vVzR9/JKC5q+N5ZSFz/I+18GHxe7+bYJSej
WKNdliozzqeKLXZ8r0GrGFgBNXrmAUbm4dgHZm+GrcyvLiD51c5pafPJF8KpKE9j
EK5j7dd1N7hnnHZvtXdnHImxvQQioeLNOLDx+BVra8IAcfsPbmzU2R2STxYH8N0r
U4NMyTo3hGUFTEgV7slBkYiqyemuwydTcUyNIJeaviNYuPS0+TnsUT/teuaUTRY=
=M1mL
-----END PGP SIGNATURE-----





Reply sent to Felix Zielcke <fzielcke@z-51.de>:
You have taken responsibility. (Sun, 15 Nov 2009 19:42:12 GMT) Full text and rfc822 format available.

Notification sent to recoverym4n@gmail.com:
Bug acknowledged by developer. (Sun, 15 Nov 2009 19:42:12 GMT) Full text and rfc822 format available.

Message #27 received at 555195-close@bugs.debian.org (full text, mbox):

From: Felix Zielcke <fzielcke@z-51.de>
To: 555195-close@bugs.debian.org
Subject: Bug#555195: fixed in grub2 1.97+20091115-1
Date: Sun, 15 Nov 2009 19:37:49 +0000
Source: grub2
Source-Version: 1.97+20091115-1

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive:

grub-common_1.97+20091115-1_amd64.deb
  to main/g/grub2/grub-common_1.97+20091115-1_amd64.deb
grub-coreboot_1.97+20091115-1_amd64.deb
  to main/g/grub2/grub-coreboot_1.97+20091115-1_amd64.deb
grub-efi-amd64_1.97+20091115-1_amd64.deb
  to main/g/grub2/grub-efi-amd64_1.97+20091115-1_amd64.deb
grub-efi-ia32_1.97+20091115-1_amd64.deb
  to main/g/grub2/grub-efi-ia32_1.97+20091115-1_amd64.deb
grub-efi_1.97+20091115-1_amd64.deb
  to main/g/grub2/grub-efi_1.97+20091115-1_amd64.deb
grub-emu_1.97+20091115-1_amd64.deb
  to main/g/grub2/grub-emu_1.97+20091115-1_amd64.deb
grub-firmware-qemu_1.97+20091115-1_amd64.deb
  to main/g/grub2/grub-firmware-qemu_1.97+20091115-1_amd64.deb
grub-ieee1275_1.97+20091115-1_amd64.deb
  to main/g/grub2/grub-ieee1275_1.97+20091115-1_amd64.deb
grub-linuxbios_1.97+20091115-1_amd64.deb
  to main/g/grub2/grub-linuxbios_1.97+20091115-1_amd64.deb
grub-pc_1.97+20091115-1_amd64.deb
  to main/g/grub2/grub-pc_1.97+20091115-1_amd64.deb
grub-rescue-pc_1.97+20091115-1_amd64.deb
  to main/g/grub2/grub-rescue-pc_1.97+20091115-1_amd64.deb
grub2_1.97+20091115-1.diff.gz
  to main/g/grub2/grub2_1.97+20091115-1.diff.gz
grub2_1.97+20091115-1.dsc
  to main/g/grub2/grub2_1.97+20091115-1.dsc
grub2_1.97+20091115-1_amd64.deb
  to main/g/grub2/grub2_1.97+20091115-1_amd64.deb
grub2_1.97+20091115.orig.tar.gz
  to main/g/grub2/grub2_1.97+20091115.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 555195@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Felix Zielcke <fzielcke@z-51.de> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 15 Nov 2009 19:13:31 +0100
Source: grub2
Binary: grub2 grub-linuxbios grub-efi grub-common grub-emu grub-pc grub-rescue-pc grub-coreboot grub-efi-ia32 grub-efi-amd64 grub-ieee1275 grub-firmware-qemu
Architecture: source amd64
Version: 1.97+20091115-1
Distribution: unstable
Urgency: low
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Felix Zielcke <fzielcke@z-51.de>
Description: 
 grub-common - GRand Unified Bootloader, version 2 (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-efi   - GRand Unified Bootloader, version 2 (dummy package)
 grub-efi-amd64 - GRand Unified Bootloader, version 2 (EFI-AMD64 version)
 grub-efi-ia32 - GRand Unified Bootloader, version 2 (EFI-IA32 version)
 grub-emu   - GRand Unified Bootloader, version 2 (emulated version)
 grub-firmware-qemu - GRUB firmware image for QEMU
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
Closes: 501867 553415 555188 555195
Changes: 
 grub2 (1.97+20091115-1) unstable; urgency=low
 .
   * New upstream snapshot.
     - Fix security problem with password checking.  (Closes: #555195)
     - Fix the generated GNU/Hurd menu entries and also add support for
       it in 30_os-prober. (Closes: #555188)
     - Same grub-mkrescue for grub-pc and grub-coreboot, used by
       grub-rescue-pc during postinst now. (Closes: #501867)
 .
   [ Felix Zielcke ]
   * Ship grub-mkisofs in grub-common.
   * patches/002_grub.d_freebsd.in.diff: Remove (merged upstream).
   * patches/906_grub_extras.diff: Remove. Superseded by GRUB_CONTRIB variable
     in recent upstream trunk.
   * rules: Export GRUB_CONTRIB to enable grub-extras add-ons.
   * Pass --force to grub-install in the postinst. (Closes: #553415)
   * Don't strip debug symbols from grub-emu. It's meant for debugging
     and with them it's much more useful.
   * Ship grub-mkfloppy in grub-pc.
   * Revert the Replaces: grub-common to (<= 1.96+20080413-1) on the
     grub-pc package. It was wrongly modified long ago.
 .
   [ Robert Millan ]
   * copyright: Document mkisofs.
   * control: Update Vcs- fields (moved to Bazaar).
   * rules: Update debian/legacy/update-grub rule to Bazaar.
Checksums-Sha1: 
 373d935c525f08630226d26e2e025cc66b763c35 2147 grub2_1.97+20091115-1.dsc
 9aa872476ac113e457ff4d58512e8a32b0b7a21c 1143969 grub2_1.97+20091115.orig.tar.gz
 bd402cb878fb310b2e3b516bdad335a1d60c2f64 98529 grub2_1.97+20091115-1.diff.gz
 c287daa346bfbe9a8922ac4ce16f11cbd28e86a2 201424 grub2_1.97+20091115-1_amd64.deb
 ce08fe2017bb36230de8c352388c204242b2df3f 200174 grub-linuxbios_1.97+20091115-1_amd64.deb
 8dc2a333d30633a8ccf9da49a21aab2633fd25dd 200168 grub-efi_1.97+20091115-1_amd64.deb
 4dcf7267b19755ff724d6cb49a2fcbe384cfb164 1054872 grub-common_1.97+20091115-1_amd64.deb
 f7aeb42a2847f9d0fd98000af5dc780794b6ee0e 646640 grub-emu_1.97+20091115-1_amd64.deb
 3d7c70a529a709ae21d54e8d212f4b65c7943482 649004 grub-pc_1.97+20091115-1_amd64.deb
 ce86476bf59c7381618ea7972d091e6e9602a814 200868 grub-rescue-pc_1.97+20091115-1_amd64.deb
 2deed7e75bc6f8dbb9512a55495ad70d86ce1f69 450924 grub-coreboot_1.97+20091115-1_amd64.deb
 96d9606b39514c60f88cd25f01401bc88942e72a 472966 grub-efi-ia32_1.97+20091115-1_amd64.deb
 b902f1170c6493140aa8559cfe5bc504ed50f20f 522382 grub-efi-amd64_1.97+20091115-1_amd64.deb
 02b287453312e7bb1f9b9bd2ec2ba05bb524a303 433718 grub-ieee1275_1.97+20091115-1_amd64.deb
 ecb4e5e04f27d34b64dacc678f03a6c9dc464578 416664 grub-firmware-qemu_1.97+20091115-1_amd64.deb
Checksums-Sha256: 
 7aab2370478c771fb2e1f40193772ff3acdd9ac3ba807b64703b859f679089e2 2147 grub2_1.97+20091115-1.dsc
 4c6c02b3626f856cf2f1d340cf70725eafe46131c2468c5ede17656ed742fc0e 1143969 grub2_1.97+20091115.orig.tar.gz
 fcb2bc5ee6dd3bab4a6fe9dbfba213002838c7c7ce28ad0c83df0ad39af8afdc 98529 grub2_1.97+20091115-1.diff.gz
 b5fde9ff53c3fe3e728a4739370c9cad2624b11fc57b290dd9502a8703ce98ad 201424 grub2_1.97+20091115-1_amd64.deb
 a23fe47fb9ff6e06b30cfad352dbf397d1160109549f22529d3c5d00d1841236 200174 grub-linuxbios_1.97+20091115-1_amd64.deb
 b7f77e97d7b00f3bba81060cad1ccc4c8c671e7d1750ec5b77b5ba96d3d07778 200168 grub-efi_1.97+20091115-1_amd64.deb
 1d21a670ac3b66d4caaa8fbc7746fe996f750131e50b626e701391349a17813e 1054872 grub-common_1.97+20091115-1_amd64.deb
 02719fe09023d8a13656d6aa5493e84fca95636cae2cee9e9608e096fd0734f3 646640 grub-emu_1.97+20091115-1_amd64.deb
 5594d54619ad9967899a37ab6fd539e4e1fcb37049bf09298a73813d223d1554 649004 grub-pc_1.97+20091115-1_amd64.deb
 c205f0a915d95fb9a20b1bc72ea4c5c3cdde209940ddbea02e097ebf93037dde 200868 grub-rescue-pc_1.97+20091115-1_amd64.deb
 3cf98cb8b7af15811faa7c7e3d9ee4632d61280b7f9e1f26ed9ed4ca086e2e8d 450924 grub-coreboot_1.97+20091115-1_amd64.deb
 0df06f579797865351cebb52603aa9553cd905da32d2b8ad5828bb0f2c444ec0 472966 grub-efi-ia32_1.97+20091115-1_amd64.deb
 84d2cae2c0bc5f932230c66d63be7a85b231a7bf0dbf17bd2c493e25a464e4e3 522382 grub-efi-amd64_1.97+20091115-1_amd64.deb
 ae3c529875eaeba1e725a16a823c54716e54a2d8dffaacc78af1419504115c87 433718 grub-ieee1275_1.97+20091115-1_amd64.deb
 86ae29d1436803791e9129ee05ce87a98c51a0fb7451a7945e422e5ae01284e3 416664 grub-firmware-qemu_1.97+20091115-1_amd64.deb
Files: 
 daab8fcc1c079f2fb98a0c581863dbfb 2147 admin extra grub2_1.97+20091115-1.dsc
 2b5e6852aa7cd6e36c42777b6ad21535 1143969 admin extra grub2_1.97+20091115.orig.tar.gz
 291bb1ad0297364a03de4bac9e63f08b 98529 admin extra grub2_1.97+20091115-1.diff.gz
 60092a2708fe86920e7fe35c1a65a58d 201424 admin extra grub2_1.97+20091115-1_amd64.deb
 132d66dfbd50b4149dc011cbc77b0bb4 200174 admin extra grub-linuxbios_1.97+20091115-1_amd64.deb
 5f0da6c2eab863266468e59b8c870953 200168 admin extra grub-efi_1.97+20091115-1_amd64.deb
 08d4a267c7b02253e7030a69ea017173 1054872 admin extra grub-common_1.97+20091115-1_amd64.deb
 824462c141531effb564dd93a535cf72 646640 admin extra grub-emu_1.97+20091115-1_amd64.deb
 69bddf21bee85d96cc106417f0174b0b 649004 admin extra grub-pc_1.97+20091115-1_amd64.deb
 aaefd24feac6d8c983c27102bee352ab 200868 admin extra grub-rescue-pc_1.97+20091115-1_amd64.deb
 eb0908d99e3e130267f2126ddbd02633 450924 admin extra grub-coreboot_1.97+20091115-1_amd64.deb
 dcee7520ae023ee25722abe51c2ac663 472966 admin extra grub-efi-ia32_1.97+20091115-1_amd64.deb
 47ec62213ed6de4c5e920229277005a2 522382 admin extra grub-efi-amd64_1.97+20091115-1_amd64.deb
 bfa3f6cfad890bc6f48afaf4336536d1 433718 admin extra grub-ieee1275_1.97+20091115-1_amd64.deb
 3d9c9fc1689ce7549efed7760a8045b4 416664 admin extra grub-firmware-qemu_1.97+20091115-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCgAGBQJLAEnjAAoJEH84BcfYL7nIHUUH/jDMn9KIZwacIFDBc4pWpe7Y
y15ig0k45/KBMarTPbfnPUm+d9k6AWSdImskHx4vCwXzZdn1MmuU4LuGdiXZ/82M
6eWwsG5PrlrV6K994JT8adw+vwOI607pBpjiYLAKC4ak/K4H57Jy6S5eAc4T8hOn
ToQPvras7I/03W9/1i5ethfIpbwfflNijJo76Ahzrt6rtXIVQ9vnQ12I/mwL1E8L
2EHHvI7/js2jKqSdARjXrCd1e+wzb7TuBanv8tSCLRVIyQoR99CWUkXjX/JhUAqM
+RKyJT2nfYSYxm58+kMmQxwGRvQFCJgyBBs2SGkh496hBRDogTKUnlvnmGE8PGQ=
=ZgXq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Jan 2010 07:36:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:41:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.